function CreateURL(input_str)
{
   if (input_str.substring(0,1)!="*")
   {
      input_str = "*"+input_str;
   }

   if (input_str.substring(input_str.length-1,input_str.length)!="*")
   {
      input_str = input_str+"*";
   }
   return input_str;
}

function TransformURL(inputurl)
{
  if (inputurl.indexOf("/")!=-1)
  {
    if(inputurl.substring(inputurl.length-1,inputurl.length) == "/")
    {
     inputurl = inputurl + "*";
    }
  }
  else{
    if(inputurl.substring(inputurl.length-1,inputurl.length) != "*")
    {
     inputurl = inputurl + "*";
    }
  }
  var index = inputurl.indexOf("@");
  if (index != -1)
  {
     inputurl = inputurl.substring(index+1);
  }
  return inputurl;
}

function TransformURL_ex(inputurl)
{
    if(inputurl.substring(0,1) != "*")
    {
        inputurl = "*." + inputurl;
    }

    return inputurl;
}

function FormatURL(inputurl)
{
  while(inputurl.indexOf("**")!=-1){
   inputurl = ReplaceStar(inputurl,"**","*");
  }

  while(inputurl.indexOf("*?")!=-1){
   inputurl = ReplaceStar(inputurl,"*?","*");
  }

  while(inputurl.indexOf("?*")!=-1){
   inputurl = ReplaceStar(inputurl,"?*","*");
  }

 /* while(inputurl.indexOf("??")!=-1){
   inputurl = ReplaceStar(inputurl,"??","*");
  }
  */
  while(inputurl.indexOf("**")!=-1){
   inputurl = ReplaceStar(inputurl,"**","*");
  }

  tmpstartstr = inputurl.substring(0,7).toLowerCase();
  if (tmpstartstr=="http://"){
    inputurl = inputurl.substring(7,inputurl.length);
  }
   tmpstartstr = inputurl.substring(0,8).toLowerCase();
  if (tmpstartstr=="https://"){
    inputurl = inputurl.substring(8,inputurl.length);
  }
     tmpstartstr = inputurl.substring(0,6).toLowerCase();
  if (tmpstartstr=="ftp://"){
    inputurl = inputurl.substring(6,inputurl.length);
  }
  return(inputurl);
}

function ReplaceStar(input_str, oldstr, newstr){
  pos = input_str.indexOf(oldstr);
  cutlength = oldstr.length;
 return(input_str.substring(0,pos)+newstr+input_str.substring(pos+cutlength,input_str.length));
}

function removeselected(listobj)
{
	var i;
	if(listobj.length<1) return;
    for(i=listobj.length-1; i>=0; i--)
  {
    if (listobj.options[i].selected)
    {
      listobj.options[i]=null;
    }
  }
}

function removeselected_ex(listobj, addlistobj, rmlistobj)
{
    var i;
    if(listobj.length < 1) return;

    for(i = listobj.length-1; i >=0; i--)
    {
        if(listobj.options[i].selected)
        {
            {
                var listlength = addlistobj.length;
                var j;
                for(j=0; j<listlength; j++)
                {
                    if(listobj.options[i].value == addlistobj.options[j].value)
                    {
                        addlistobj.options[j] = null;
                        break;
                    }
                }

                if(j == listlength)
                {
                    InsertURL(rmlistobj, listobj.options[i].value);
                }
            }

            listobj.options[i] = null;
        }
    }
}

function removeall(listobj)
{
  var i;
  if(listobj.length<1) return;

  for(i=listobj.length-1; i>=0; i--)
  {
      listobj.options[i]=null;
  }
}

function removeall_ex(listobj, addlistobj, rmlistobj)
{
    var i;
    if(listobj.length < 1) return;

    for(i = listobj.length - 1; i >= 0; i--)
    {
        var listlength = addlistobj.length;
        var j;
        for(j=0; j<listlength; j++)
        {
            if(listobj.options[i].value == addlistobj.options[j].value)
            {
                addlistobj.options[j] = null;
                break;
            }
        }

        if(j == listlength)
        {
            InsertURL(rmlistobj, listobj.options[i].value);
        }

        listobj.options[i] = null;
    }
}

function checkall(listobj)
{
	var i;
    for(i=0;i<listobj.length;i++) {
        listobj.options[i].selected=true;
    }
}

function Check_Duplication(listobj,inputurl){
   var listlength = listobj.length;
   var i;
   for (i=0; i<listlength; i++)
    if (inputurl==listobj.options[i].value) return true;

   return false;
}


function InsertURL(listobj,inputurl){
   var listlength = listobj.length;
   var i,j;

   for (i=0; i<listlength; i++){
     if (inputurl<=listobj.options[i].value){
       listobj.options[listlength] = new Option(listobj.options[listlength-1].text);
       listobj.options[listlength].value = listobj.options[listlength-1].value;
       for(j=listlength-1; j>i; j--){
	 listobj.options[j].text = listobj.options[j-1].text;
	 listobj.options[j].value = listobj.options[j-1].value;
	}
       listobj.options[i].text = inputurl;
       listobj.options[i].value = inputurl;
       return;
     }
   }
   listobj.options[listlength]=new Option(inputurl);

   listobj.options[listlength].value=inputurl;
   return;
}
