<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.report.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.net.*" %>
<%@ page import="java.io.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.lang.Math" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaReports" id="bundleReport" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
	if(Validation.CheckUser(request,response)!=1){
	    response.sendRedirect("logon.jsp");
	    return;
	}
	IWSSXML dbxml = IWSSUtil.CheckDatabase(1,"","","");
	if(dbxml==null){
		response.sendRedirect("databaseerror.jsp?Generic Error");
		return;
	}else{
		if(dbxml.GetKeyValue("connectdb","error_no").compareToIgnoreCase("1")!=0)
		{
			response.sendRedirect("databaseerror.jsp?"+dbxml.GetKeyValue("connectdb","error_msg"));
			return;
		}
	}	  
	
	response.setHeader("Pragma","no-cache");
	response.setHeader("Cache-Control","no-cache");
	response.setHeader("P3P","CP=\"NON IND\"");
	response.setHeader("X-Frame-Options","SAMEORIGIN");


    String reporttype = request.getQueryString();
	
    int whichreport;
   String strKeyName= "";
	if(reporttype.compareToIgnoreCase("template") == 0)
		strKeyName = "tmplAppCategoryIndex";
 	else 
		strKeyName = "realtimeAppCategoryIndex";
       
	String strCtIndex = "";
	Object objCtIndex = IWSSSession.getSession(strKeyName, request);
	if(objCtIndex != null)
		strCtIndex = "" + objCtIndex.toString();


	//out.println("" + strCtIndex);

String nothing = "";
//used for category
TreeMap group_categoryId_treemap = new TreeMap();
TreeMap category_id_name_treemap = new TreeMap();
Vector group_name_vector = new Vector();
Vector value_group_categoryId_vector = new Vector();
String group_name = nothing;
String section_category_id = nothing;
String section_category_name = nothing;
int index = 0;
int category_index = 0;
String WorkPath = nothing;
String image_src = nothing;
String image_id = nothing;
String switch_content = nothing;

String checkbox_prefix = "checkbox_super_";
String checkbox_children_prefix = "checkbox_children_";
%>
<html>
<head>
<title><i18n:message bundleRef="bundleReport" key="report_generate_app.html.title" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<script id="TMCUBE_COMMON_JAVASCRIPT_FILE" language="JavaScript" Src="html/TmCube_Common.js"> </script>
<script language="JavaScript" src="html/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" src="html/localization.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" src="html/checkall.js"></script>
<script src="html/expand.js"></script>
<script src="html/imageswap2.js"></script>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">

<SCRIPT LANGUAGE="JavaScript" type="text/JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}

var appCategorySize = 0;
function doSubmit()
{
	var resultVal = "";
	for (i=0; i<appCategorySize; i++)
	{
		var rtCheckbox= document.getElementsByName("<%=checkbox_children_prefix%>" + i);
		var checkIndex = 0;
		for(checkIndex=0;checkIndex<rtCheckbox.length;checkIndex++)
		{
			if(rtCheckbox[checkIndex].checked)
			{
				if (resultVal == "")
					resultVal = rtCheckbox[checkIndex].value;
				else
					resultVal = resultVal + "," + rtCheckbox[checkIndex].value;
			}
		}
	}
	document.saveSession.sesKeyVal.value = resultVal;
	document.saveSession.submit();
}

function include(arr, obj)
{
	for(var i=0; i<arr.length; i++)
	{
		if (arr[i] == obj)
			return true;
	}
}

function initlist()
{
	<% if(strCtIndex.length() > 0) {%>
		var ctIndexArray = "<%=strCtIndex%>".split(",");
		
		for (i=0; i<appCategorySize; i++)
		{
			var rtCheckbox = document.getElementsByName("<%=checkbox_children_prefix%>" + i);
			var superChecked = true; // check whether all children are checked, if yes, check the super

			var checkIndex = 0;
			for(checkIndex=0;checkIndex<rtCheckbox.length;checkIndex++)
			{
				if(include(ctIndexArray, rtCheckbox[checkIndex].value))
				{
					rtCheckbox[checkIndex].checked = true;
				}
				else
				{
					superChecked = false;
				}
			}

			if (superChecked)
			{
				var rtSuperCheckbox = document.getElementsByName("<%=checkbox_prefix%>" + i);
				rtSuperCheckbox[0].checked = true;
			}
		}
		<%}else{%>
		for (i=0; i<appCategorySize; i++)
		{
			var rtCheckbox = document.getElementsByName("<%=checkbox_children_prefix%>" + i);
			for(checkIndex=0;checkIndex<rtCheckbox.length;checkIndex++)
			{
				rtCheckbox[checkIndex].checked = true;
			}
			var rtSuperCheckbox = document.getElementsByName("<%=checkbox_prefix%>" + i);
			rtSuperCheckbox[0].checked = true;
		}     
	<%}%>
}

function updateChkState(superName, childName)
{
	var rtCheckbox= document.getElementsByName(childName);
	var rtSuperCheckbox = document.getElementsByName(superName);

	for(i=0;i<rtCheckbox.length;i++)
	{
		rtCheckbox[i].checked = rtSuperCheckbox[0].checked;
	}
}

function toggle_select_all()
{
    var cb = document.getElementById("select_all");
    if (cb)
    {
        for (i=0; i<appCategorySize; i++)
        {
            var rtCheckbox = document.getElementsByName("<%=checkbox_children_prefix%>" + i);
            for(checkIndex=0;checkIndex<rtCheckbox.length;checkIndex++)
            {
                rtCheckbox[checkIndex].checked = cb.checked;
            }
            var rtSuperCheckbox = document.getElementsByName("<%=checkbox_prefix%>" + i);
            rtSuperCheckbox[0].checked = cb.checked;
        }     
        
    }
}
</Script>


</head>

<%
	WorkPath = IWSSUtil.CheckPathEndSlash( IWSSJNI.GetWorkPath() );
	String map_file = WorkPath + "appcMapping.ini";
	
	CategoryMapping_Info category_mapping_info = new CategoryMapping_Info(map_file);
	group_categoryId_treemap = category_mapping_info.get_group_categoryId_treemap();
	category_id_name_treemap = category_mapping_info.get_category_id_name_treemap();
	group_name_vector = category_mapping_info.get_group_name_vector();

	CustomCategoryListEntry listentry;
	int line=0;

	String strCheckboxValue = "";
%>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="javascript:initlist()">
<form action="setsession.jsp" METHOD=POST NAME=saveSession>
<input type="hidden" name="sesKeyName" value="<%=strKeyName%>">
<input  type="hidden" name="sesKeyVal" value="0">


<table width="550" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr> 
   <table cellpadding="0" cellspacing="0" border="0" width="100%">	
   <tr>
    <td bgcolor="#FF0000" class="popup-title"><i18n:message bundleRef="bundleReport" key="report_generate_app.html.title" /></td>
	 <td bgcolor="#FF0000" class="popup-title"><input type="checkbox" id="select_all" checked="true" onclick="javascript:toggle_select_all();" /><span class="text" style="font-size: 80%; font-weight: normal;"><i18n:message bundleRef="bundleReport" key="report_generate_app.html.select_all" /></span></td>
    </tr>
	</table>
  </tr>
  <tr> 
    <td width="550" style="padding:5px"><table cellpadding="0" cellspacing="0" border="0" width="100%">

      <tr>
        <td class="border"><table width="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td ><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border2">

			<%				
				for(index = 0; index<group_name_vector.size();) 
				{
					group_name = (String)group_name_vector.elementAt(index);
					strCheckboxValue = category_mapping_info.get_group_category_value(group_name);

					image_id = "image" + index;
                    image_src = "images/icon_plus.gif";
					switch_content = "class=switchcontent";                    

					String checkbox_super = checkbox_prefix + index;
					String checkbox_child = checkbox_children_prefix + index;

					index = index + 1;
              %>
              <script>appCategorySize=<%=group_name_vector.size()%>; </script>

			               <tr>
			                   <td  width="100%" class="data3b" colspan="3"><a href="#" class="expand" onClick="expandcontent('<%=group_name%>');toggle('<%=image_id%>');return false;">
			                        <img src="<%=image_src%>" name="<%=image_id%>" width="17" height="17" border="0" align="absmiddle" id="<%=image_id%>"></a>
			                        <span class="textbold"><input type="checkbox" name="<%=checkbox_super%>" id="<%=checkbox_super%>" onclick="javascript:updateChkState('<%=checkbox_super%>', '<%=checkbox_child%>');"></span>
			                        <span class="textbold"><%=group_name%></span>
			                   </td>
			               </tr>
			               <tr>
			                   <td colspan="3"><table width="100%" border="0" cellpadding="0" cellspacing="0" <%=switch_content%> id="<%=group_name%>">
						<%
                           value_group_categoryId_vector = (Vector)group_categoryId_treemap.get(group_name);	 
                           for(category_index = 0; category_index<value_group_categoryId_vector.size(); category_index++) 
                           {        	    	                	   
                                section_category_id = (String)value_group_categoryId_vector.elementAt(category_index);
                                section_category_name = (String)category_id_name_treemap.get(section_category_id);
                                strCheckboxValue = section_category_id;

						%>
							<tr>
								<td width=550 class="data<%=((category_index)%2+1)%>b" style="padding-left:30px">
								<span class="textbold"><input type="checkbox" name="<%=checkbox_child%>" id="<%=checkbox_child%>" value="<%=strCheckboxValue%>"></span>
								<%=section_category_name%></td>
							</tr>
                        <% 								   
		        	        }//end of for(category_index = 0; category_index<value_group_categoryId_vector.size(); category_index++)   
						%>
						</table></td>
					    </tr>
					<%
				}//end of for(index = 0; index<group_name_vector.size();) 
			%>                       
              </table></td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="35" style="padding:5px">
<div align="center">
        <input name="Button" type="button" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.ok' />" style="width:50px" onClick="javascript:doSubmit();">
        <input name="Button2" type="button" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width:50px" onClick="javascript:window.close();">
      </div></td>
  </tr>
</table>
</form>
</body>
</html>
