<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.report.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.net.*" %>
<%@ page import="java.io.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.lang.Math" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaReports" id="bundleReport" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
	if(Validation.CheckUser(request,response)!=1){
	    response.sendRedirect("logon.jsp");
	    return;
	}
	IWSSXML dbxml = IWSSUtil.CheckDatabase(1,"","","");
	if(dbxml==null){
		response.sendRedirect("databaseerror.jsp?Generic Error");
		return;
	}else{
		if(dbxml.GetKeyValue("connectdb","error_no").compareToIgnoreCase("1")!=0)
		{
			response.sendRedirect("databaseerror.jsp?"+dbxml.GetKeyValue("connectdb","error_msg"));
			return;
		}
	}	  
	
	response.setHeader("Pragma","no-cache");
	response.setHeader("Cache-Control","no-cache");
	response.setHeader("P3P","CP=\"NON IND\"");
	response.setHeader("X-Frame-Options","SAMEORIGIN");


    String reporttype = request.getQueryString();
	
    int whichreport;
   String strKeyName= "";
	if(reporttype.compareToIgnoreCase("template") == 0)
		strKeyName = "tmplCategoryIndex";
 	else 
		strKeyName = "realtimeCategoryIndex";
       
	String strCtIndex = "";
	Object objCtIndex = IWSSSession.getSession(strKeyName, request);
	if(objCtIndex != null)
		strCtIndex = "" + objCtIndex.toString();


	//out.println("" + strCtIndex);

String nothing = "";
//used for category
TreeMap group_categoryId_treemap = new TreeMap();
TreeMap category_id_name_treemap = new TreeMap();
Vector group_name_vector = new Vector();
Vector value_group_categoryId_vector = new Vector();
String group_name = nothing;
String section_category_id = nothing;
String section_category_name = nothing;
int index = 0;
int category_index = 0;
String WorkPath = nothing;
String location_file_dsc = nothing;
String image_src = nothing;
String image_id = nothing;
String switch_content = nothing;
%>
<html>
<head>
<title><i18n:message bundleRef="bundleReport" key="report_generate.html.title" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<script id="TMCUBE_COMMON_JAVASCRIPT_FILE" language="JavaScript" Src="html/TmCube_Common.js"> </script>
<script language="JavaScript" src="html/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" src="html/localization.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" src="html/checkall.js"></script>
<script src="html/expand.js"></script>
<script src="html/imageswap2.js"></script>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_goToURL() { //v3.0
  var i, args=MM_goToURL.arguments; document.MM_returnValue = false;
  for (i=0; i<(args.length-1); i+=2) eval(args[i]+".location='"+args[i+1]+"'");
}
//-->
</script>
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}


function doSubmit()
{
	//setsession("rtCategroyIndex", "100");
	var rtRadio= document.getElementsByName("radio");
	for(i=0;i<rtRadio.length;i++)
	{
		if(rtRadio[i].checked)
		{
			document.saveSession.sesKeyVal.value=rtRadio[i].value;
			break;
		}
	}
	document.saveSession.submit();
	//setTimeout( "document.saveSession.submit()", 100 );

	//alert(document.saveSession.sesKeyVal.value);
}

function initlist()
{
	var rtRadio= document.getElementsByName("radio");
	<% if(strCtIndex.length() > 0) {%>
		for(i=0;i<rtRadio.length;i++)
		{
			if(rtRadio[i].value=="<%=strCtIndex%>")
			{
				rtRadio[i].checked = true;
				break;
			}
		}
	<%}%>	
	
}

</Script>


</head>

<%
	WorkPath = IWSSUtil.CheckPathEndSlash( IWSSJNI.GetWorkPath() );
	location_file_dsc = WorkPath + "IWSSPIUrlFilter.dsc";
	IWSSINI dsc = new IWSSINI(location_file_dsc);	
	String map_file = dsc.GetKeyValue( "vendor", "category_map_file" );	
	
	CategoryMapping_Info category_mapping_info = new CategoryMapping_Info(map_file);
	group_categoryId_treemap = category_mapping_info.get_group_categoryId_treemap();
	category_id_name_treemap = category_mapping_info.get_category_id_name_treemap();
	group_name_vector = category_mapping_info.get_group_name_vector();

	CustomCategoryListEntry listentry;
	int line=0;

	Collection all_url_lists = AllowedList.getAllowedList( new CustomCategoryListEntry() );
	Iterator itr;
	itr = all_url_lists.iterator();

	String strRadioValue = "";
%>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="javascript:initlist()">
<form action="setsession.jsp" METHOD=POST NAME=saveSession>
<input type="hidden" name="sesKeyName" value="<%=strKeyName%>">
<input  type="hidden" name="sesKeyVal" value="0">


<table width="550" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr> 
    <td bgcolor="#FF0000" class="popup-title"><i18n:message bundleRef="bundleReport" key="report_generate.title" /></td>
  </tr>
  <tr> 
    <td width="550" style="padding:5px"><table cellpadding="0" cellspacing="0" border="0" width="100%">

      <tr>
        <td class="border"><table width="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td ><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border2">

			<%				
				for(index = 0; index<group_name_vector.size();) 
				{
					group_name = (String)group_name_vector.elementAt(index);
						
					image_id = "image" + index;
					if(index == 0)
					{
						 image_src = "images/icon_minus.gif";
						 switch_content = nothing;
					}
					else
					{
						 image_src = "images/icon_plus.gif"; 
						 switch_content = "class=switchcontent";							 
					}
					index = index + 1;
					//strRadioValue = "S" + index;
					strRadioValue =  UrlcategoryIdMapping.GetCategoryId(UrlcategoryIdMapping.URLCATEGORY_STD_TYPE, index, true);
              %>

			               <tr>
			                   <td  width="100%" class="data3b" colspan="3"><a href="#" class="expand" onClick="expandcontent('<%=group_name%>');toggle('<%=image_id%>');return false;">
			                        <img src="<%=image_src%>" name="<%=image_id%>" width="17" height="17" border="0" align="absmiddle" id="<%=image_id%>"></a>
			                        <span class="textbold"><input type="radio" name="radio" id="radio75" value="<%=strRadioValue%>"></span>
			                        <span class="textbold"><%=group_name%></span>
			                   </td>
			               </tr>
			               <tr>
			                   <td colspan="3"><table width="100%" border="0" cellpadding="0" cellspacing="0" <%=switch_content%> id="<%=group_name%>">
						<%
                           value_group_categoryId_vector = (Vector)group_categoryId_treemap.get(group_name);	 
                           for(category_index = 0; category_index<value_group_categoryId_vector.size(); category_index++) 
                           {        	    	                	   
                                section_category_id = (String)value_group_categoryId_vector.elementAt(category_index);
                                section_category_name = (String)category_id_name_treemap.get(section_category_id);
                                if(!section_category_id.equalsIgnoreCase("75"))
                                {			       		

								//strRadioValue = "C" + section_category_work_value;
								strRadioValue =  UrlcategoryIdMapping.GetCategoryId(UrlcategoryIdMapping.URLCATEGORY_STD_TYPE, Integer.parseInt(section_category_id), false);

						%>
							<tr>
								<td width=550 class="data<%=((category_index)%2+1)%>b" style="padding-left:30px">
								<span class="textbold"><input type="radio" name="radio" id="radio75" value="<%=strRadioValue%>"></span>
								<%=section_category_name%></td>
							</tr>
                        <%	    } 								   
		        	        }//end of for(category_index = 0; category_index<value_group_categoryId_vector.size(); category_index++)   
						%>
						</table></td>
					    </tr>
					<%
				}//end of for(index = 0; index<group_name_vector.size();) 
			%>                       
				 <tr>
				    <td width="100%" class="data3b" colspan="3"><a href="#" class="expand" onClick="expandcontent('customize');toggle('image7');return false;">
				    <img src="images/icon_plus.gif" name="image7" width="17" height="17" border="0" align="absmiddle" id="image7"></a>
				    <input type="radio" name="radio" id="radio71" value="<%=UrlcategoryIdMapping.GetCategoryId(UrlcategoryIdMapping.URLCATEGORY_CUSTOM_TYPE, 0, true)%>"></span>
				    <span class="textbold"><i18n:message bundleRef="bundleReport" key="report_generate.customize" /></span></td>
				 </tr>
				 <tr>
				    <td colspan="3"><table width="100%" border="0" cellpadding="0" cellspacing="0" class=switchcontent id="customize">
					<%
					
					while( itr.hasNext() ){
					  listentry = (CustomCategoryListEntry)itr.next();
					  line++;

					  strRadioValue = UrlcategoryIdMapping.GetCategoryId(UrlcategoryIdMapping.URLCATEGORY_CUSTOM_TYPE, listentry.getID(), false);
					%>
					   <tr> 
					      <td width=550 class="data<%=((line+1)%2+1)%>b" style="padding-left:30px">
					      <input type="radio" name="radio" id="radio75" value="<%=strRadioValue%>"><%=listentry.getListTableName()%></td>
					   </tr>
					<%}%>
		                </table></td>
	                  </tr>			                    
                    </table>
                    </td>
                  </tr>             
              </table></td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="35" style="padding:5px">
<div align="center">
        <input name="Button" type="button" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.ok' />" style="width:50px" onClick="javascript:doSubmit();">
        <input name="Button2" type="button" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width:50px" onClick="javascript:window.close();">
      </div></td>
  </tr>
</table>
</form>
</body>
</html>
