<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="com.trend.iwss.report.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.net.*" %>
<%@ page import="java.io.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaReports" id="bundleReport" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<i18n:bundle baseName="iwsvaHttp" id="bundleHttp" />



<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    IWSSXML dbxml = IWSSUtil.CheckDatabase(1,"","","");
    if(dbxml==null){
		response.sendRedirect("databaseerror.jsp?Generic Error");
		return;
    }else{
		if(dbxml.GetKeyValue("connectdb","error_no").compareToIgnoreCase("1")!=0)
		{
			response.sendRedirect("databaseerror.jsp?"+dbxml.GetKeyValue("connectdb","error_msg"));
			return;
		}
    }
    UserList ulist;
    if(session.getAttribute("grouplist")==null){
        ulist = new UserList(0);
    }else ulist = (UserList)session.getAttribute("grouplist");

    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
    response.setHeader("P3P","CP=\"NON IND\"");
    response.setHeader("X-Frame-Options","SAMEORIGIN");
%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title><i18n:message bundleRef="bundleReport" key="select_group.html.title" /></title>

<link href="html/top.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<script language="JavaScript" type="text/javascript" src="html/check.js"></script>
<SCRIPT language="javascript" src="html/urlfadvanceset.js"></SCRIPT>
<script language="JavaScript" src="html/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" src="html/localization.js" type="text/javascript"></script>
<SCRIPT LANGUAGE="JavaScript">

function doSubmit()
{
    setTimeout( "document.saveform.submit()", 100 );
}
</Script>
</head>

<%
 String solutionid = IWSSInfo.GetKeyValue("user-identification","user_identification_solution");

    
   String[] ACCNAME = new String[] {"USER","GROUP","HOSTNAME","IP","IP RANGE"};
    IWSSINI javaini = new IWSSINI(IWSSInfo.GetWorkPath()+"resource/rb_java.txt");
    if(javaini.GetKeyValue("acctype","user")!=null && javaini.GetKeyValue("acctype","user").compareToIgnoreCase("")!=0)
        ACCNAME[0] = javaini.GetKeyValue("acctype","user");
    if(javaini.GetKeyValue("acctype","group")!=null && javaini.GetKeyValue("acctype","group").compareToIgnoreCase("")!=0)
        ACCNAME[1] = javaini.GetKeyValue("acctype","group");
    if(javaini.GetKeyValue("acctype","hostname")!=null && javaini.GetKeyValue("acctype","hostname").compareToIgnoreCase("")!=0)
        ACCNAME[2] = javaini.GetKeyValue("acctype","hostname");
    if(javaini.GetKeyValue("acctype","ip")!=null && javaini.GetKeyValue("acctype","ip").compareToIgnoreCase("")!=0)
        ACCNAME[3] = javaini.GetKeyValue("acctype","ip");
    if(javaini.GetKeyValue("acctype","iprange")!=null && javaini.GetKeyValue("acctype","iprange").compareToIgnoreCase("")!=0)
        ACCNAME[4] = javaini.GetKeyValue("acctype","iprange");

    String reporttype = request.getQueryString();
    int whichreport;
/*	
    if(reporttype.compareToIgnoreCase("daily")==0) whichreport = ReportByCollection.DAILY;
    else if(reporttype.compareToIgnoreCase("weekly")==0) whichreport = ReportByCollection.WEEKLY;
    else if(reporttype.compareToIgnoreCase("monthly")==0) whichreport = ReportByCollection.MONTHLY;
    else whichreport = ReportByCollection.REALTIME;
*/
	if(reporttype.compareToIgnoreCase("template") == 0)
		whichreport = ReportByCollection.TEMPLATE;
 	else 
		whichreport = ReportByCollection.REALTIME;	
	

    int i = 0;
%>
<body  bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<DIV id=tooltip style="Z-INDEX: 1000; VISIBILITY: hidden; POSITION: absolute; TOP: -100px"></DIV>
<FORM ACTION="servlet/com.trend.iwss.gui.servlet.reportsetting" METHOD=POST NAME=saveform>
<input type="hidden" name="fromurl" value="/selectgroup.jsp?<%=XSSStringClean.cleanXSS(reporttype)%>">
<input type=hidden name="op" value="<%=XSSStringClean.cleanXSS(reporttype)%>_group">
<input name="accountindex" type="hidden" value="0">
<table width="600" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr> 
    <td bgcolor="#FF0000" class="popup-title"><i18n:message bundleRef="bundleReport" key="select_group.title" /></td>
  </tr>
  <tr> 
    <td width="600" style="padding:5px">
    <table width="100%" border="0" cellpadding="0" cellspacing="0" class="border">
                <tr> 
                  <td valign="top"> 
                    <table width="285" border="0" cellpadding="0" cellspacing="0">
                      <tr> 
                        <td height="22" colspan="2" class="data1"><i18n:message bundleRef="bundleReport" key="select_group.ip_range" /></td>
                        <td height="22" class="data1">&nbsp;</td>
                        <td height="22" class="data1">&nbsp;</td>
                      </tr>
                      <tr> 
                        <td width="30" height="22" class="data1">&nbsp;</td>
                        <td width="108" class="data1"><i18n:message bundleRef="bundleReport" key="select_group.from" /></td>
                        <td height="22" class="data1"> <div align="right"> 
                            <input name="fromadd" type="text" class="button" size="20">
                          </div></td>
                        <td height="22" class="data1">&nbsp;</td>
                      </tr>
                      <tr> 
                        <td height="22" class="data1">&nbsp;</td>
                        <td height="22" class="data1"><i18n:message bundleRef="bundleReport" key="select_group.to" /></td>
                        <td height="22" class="data1"> <div align="right"> 
                            <input name="toadd" type="text" class="button" size="20">
                          </div></td>
                        <td height="22" class="data1"> <div align="right"> 
                            <input name="addrange" type="button"  class="button" onClick="javascript:AddRange();" value="<i18n:message bundleRef='bundleCommon' key='button.add2' />" style="width:55px">
                          </div></td>
                      </tr>
                      
                      <tr> 
                        <td height="5" colspan="4"><img src="images/1space.gif" width="1" height="10"></td>
                      </tr>
                      
                                    <!------------------- IPv6 mask ------------------>
              <tr>
                <td height="10" colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
              </tr>
               <tr>
                <td  colspan="3" class="data1"><i18n:message bundleRef="bundleHttp" key="https.config.acc_ctrl_client.ip_mask_sem" /></td>
               </tr>
              <tr>
                <td width="27">&nbsp;</td>
                <td width="50" class="data1"><i18n:message bundleRef="bundleCommon" key="ipv6.mask.address" /></td>
                <td width="188"><input name="ipv6address" type="text" class="button" size="20" maxlength="40">  </td>
              </tr>
              <tr>
                <td>&nbsp;</td>
                <td  class="data1"><i18n:message bundleRef="bundleCommon" key="ipv6.mask.mask" /><img src="/images/info_mark_cui.gif" width="14" height="17" style="CURSOR: hand;vertical-align: middle;border: 0;" 
				onMouseOver="stm(tipPrefixLength,tipStyle);return false;"  onMouseOut="htm();return false;"></td>
                <td><input name="ipv6mask" type="text" class="button" size="20" maxlength="20"></td>
                 <td><input name="addrange" type="button"  class="button" onClick="javascript:AddIPv6Mask();" value="<i18n:message bundleRef='bundleCommon' key='button.add2' />" style="width:55px">
			               </td>
              </tr>
              <!------------------- IPv6 mask ------------------>
                      
<%if(solutionid.compareTo("3")==0){%>
<tr> 
<td valign="top" colspan="4"> 
<iframe frameborder=0 src="quota_account.jsp?group" name="searchacc" width=280 height=200>
</iframe>
</td>
</tr>
<%}%>
                    </table></td>
                  <td><img src="images/1space.gif" width="10" height="1"></td>
                  <td valign="top" align=left><img src="images/1space.gif" width="10" height="5"><br> <table width="263" border="0" cellpadding="0" cellspacing="0" class="border" ID="EntityTable">
                      <tr> 
                        <td width="71" height="22" class="grey"><i18n:message bundleRef="bundleReport" key="select_user.type" /></td>
                        <td width="164" height="22" class="grey"><i18n:message bundleRef="bundleReport" key="select_user.identification" /></td>
                        <td width="26" height="22" class="grey-end">&nbsp;</td>
                      </tr>
	<%
	Object val = null;
	if(whichreport == ReportByCollection.REALTIME)
		val = (ReportByCollection)IWSSSession.getSession("group_realtime_reportby",request);
	else
		val = (ReportByCollection)IWSSSession.getSession("group_tmpl_reportby",request);
	
	if(val != null)
	{

	    ReportByCollection rep =  (ReportByCollection)val;

	    Iterator itr = rep.iterator();
	    ReportByItem item;

	    while( itr.hasNext() )
	    {
		  item = (ReportByItem)itr.next();
		  i++;
		%>
                      <tr> 
                        <td height="22" class="data<%=((i+1)%2+1)%>b"><input name="entitytype" type="hidden" value="<%=item.getType()%>"><%=ACCNAME[item.getType()-1]%></td>
                        <td height="22" class="data<%=((i+1)%2+1)%>b"><input name="entityname" type="hidden" value="<%=item.getName()%>"><%=item.getName()%></td>
                        <td height="22" class="data<%=((i+1)%2+1)%>">
                            <div align="center"><a href="javascript:void(0);" onClick="javascript:deleteone(<%=i%>);" border="0"><img src="images/icon_delete.gif" width="18" height="18" border=0></a></div></td>
                      </tr>
	<%}
	}%>



                         <tr> 
                        <td height="22" class="data<%=((i)%2+1)%>b">&nbsp;</td>
                        <td height="22" class="data<%=((i)%2+1)%>b">&nbsp;</td>
                        <td height="22" class="data<%=((i)%2+1)%>">&nbsp;</td>
                      </tr>
                      <tr> 
                        <td height="22" class="data<%=((i+1)%2+1)%>b">&nbsp;</td>
                        <td height="22" class="data<%=((i+1)%2+1)%>b">&nbsp;</td>
                        <td height="22" class="data<%=((i+1)%2+1)%>">&nbsp;</td>
                      </tr>
                     
                    </table></td>
                </tr>
              </table>
    </td>
  </tr>
  <tr>
    <td height="35" style="padding:5px">
<div align="center">
          <input name="save" type="button"  class="button" onClick="javascript:doSubmit();" value="<i18n:message bundleRef='bundleCommon' key='button.save' />" style="width:55px" disabled> 
      <input name="cancel" type="button"  class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width:55px" onClick="javascript:window.close();">
      </div></td>
  </tr>
</table>
</body>
</html>
