<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="com.trend.iwss.report.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.net.*" %>
<%@ page import="java.io.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaReports" id="bundleReport" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    IWSSXML dbxml = IWSSUtil.CheckDatabase(1,"","","");
    if(dbxml==null){
		response.sendRedirect("databaseerror.jsp?Generic Error");
		return;
    }else{
		if(dbxml.GetKeyValue("connectdb","error_no").compareToIgnoreCase("1")!=0)
		{
			response.sendRedirect("databaseerror.jsp?"+dbxml.GetKeyValue("connectdb","error_msg"));
			return;
		}
    }
    UserList ulist;
    if(session.getAttribute("userlist")==null){
        ulist = new UserList(0);
    }else ulist = (UserList)session.getAttribute("userlist");

    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
    response.setHeader("P3P","CP=\"NON IND\"");
    response.setHeader("X-Frame-Options","SAMEORIGIN");
%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title><i18n:message bundleRef="bundleReport" key="select_user.html.title" /></title>

<link href="html/top.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/urlfadvanceset.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">

function doSubmit()
{
    setTimeout( "document.saveform.submit()", 100 );
}

</Script>


</head>


<%
 String solutionid = IWSSInfo.GetKeyValue("user-identification","user_identification_solution");

    String[] ACCNAME = new String[] {"USER","GROUP","HOSTNAME","IP","IP RANGE"};
    IWSSINI javaini = new IWSSINI(IWSSInfo.GetWorkPath()+"resource/rb_java.txt");
    if(javaini.GetKeyValue("acctype","user")!=null && javaini.GetKeyValue("acctype","user").compareToIgnoreCase("")!=0)
        ACCNAME[0] = javaini.GetKeyValue("acctype","user");
    if(javaini.GetKeyValue("acctype","group")!=null && javaini.GetKeyValue("acctype","group").compareToIgnoreCase("")!=0)
        ACCNAME[1] = javaini.GetKeyValue("acctype","group");
    if(javaini.GetKeyValue("acctype","hostname")!=null && javaini.GetKeyValue("acctype","hostname").compareToIgnoreCase("")!=0)
        ACCNAME[2] = javaini.GetKeyValue("acctype","hostname");
    if(javaini.GetKeyValue("acctype","ip")!=null && javaini.GetKeyValue("acctype","ip").compareToIgnoreCase("")!=0)
        ACCNAME[3] = javaini.GetKeyValue("acctype","ip");
    if(javaini.GetKeyValue("acctype","iprange")!=null && javaini.GetKeyValue("acctype","iprange").compareToIgnoreCase("")!=0)
        ACCNAME[4] = javaini.GetKeyValue("acctype","iprange");
	
    String reporttype = request.getQueryString();
	
    int whichreport;
/*
    if(reporttype.compareToIgnoreCase("daily")==0) whichreport = ReportByCollection.DAILY;
    else if(reporttype.compareToIgnoreCase("weekly")==0) whichreport = ReportByCollection.WEEKLY;
    else if(reporttype.compareToIgnoreCase("monthly")==0) whichreport = ReportByCollection.MONTHLY;
    else whichreport = ReportByCollection.REALTIME;
*/
	if(reporttype.compareToIgnoreCase("template") == 0)
		whichreport = ReportByCollection.TEMPLATE;
 	else 
		whichreport = ReportByCollection.REALTIME;	

    int i = 0;
%>
<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<FORM ACTION="servlet/com.trend.iwss.gui.servlet.reportsetting" METHOD=POST NAME=saveform>
<input type="hidden" name="fromurl" value="/selectuser.jsp?<%=XSSStringClean.cleanXSS(reporttype)%>">
<input type=hidden name="op" value="<%=XSSStringClean.cleanXSS(reporttype)%>_user">
<input name="accountindex" type="hidden" value="0">
<table width="550" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr> 
    <td bgcolor="#FF0000" class="popup-title"><i18n:message bundleRef="bundleReport" key="select_user.title" /></td>
  </tr>
  <tr> 
    <td width="550" style="padding:5px"> 
    <table width="100%" border="0" cellpadding="0" cellspacing="0" class="border">
                <tr> 
                  <td valign="top" style="padding:5px"> 
                    <table width="255" border="0" cellpadding="0" cellspacing="0">
                      <tr> 
                        <td height="22" colspan="2" class="data1"><div align="right"><i18n:message bundleRef="bundleReport" key="select_user.ip_address" /></div></td>
                        <td width="106" height="22" class="data1"> <div align="right"> 
                            <input name="ipadd" type="text" class="button" size="20" onKeyPress="return handleEnter(this, event)">
                          </div></td>
                        <td width="61" height="22" class="data1"> <div align="right"> 
                            <input name="addip" type="button"  class="button" onClick="javascript:AddIP();" value="<i18n:message bundleRef='bundleCommon' key='button.add2' />" style="width:55px">
                          </div></td>
                      </tr>
                      <tr> 
                        <td height="5" colspan="4"><img src="images/1space.gif" width="1" height="10"></td>
                      </tr>
<%if(solutionid.compareTo("2")==0){%>                       
                    <tr> 
                        <td height="22" colspan="2" class="data1"><i18n:message bundleRef="bundleReport" key="select_user.hostname" /></td>
                        <td height="22" class="data1"> <div align="right"> 
                            <input name="hostadd" type="text" class="button" size="20" maxlength="256">
                          </div></td>
                        <td height="22" class="data1"> <div align="right"> 
                            <input name="addhost" type="button"  class="button" onClick="javascript:AddHost();" value="<i18n:message bundleRef='bundleCommon' key='button.add2' />" style="width:55px">
                          </div></td>
                      </tr>
                      <tr> 
                        <td height="5" colspan="4"><img src="images/1space.gif" width="1" height="10"></td>
                      </tr>
<%}else if(solutionid.compareTo("3")==0){%>
<tr> 
<td valign="top" colspan="4"> 
<iframe frameborder=0 src="quota_account.jsp?user" name="searchacc" width=280 height=200>
</iframe>
</td>
</tr>
<%}%>     
                    </table></td>
                  <td><img src="images/1space.gif" width="6" height="10"></td>
                  <td valign="top" align=left><img src="images/1space.gif" width="10" height="5"><br><table width="260" border="0" cellpadding="0" cellspacing="0" class="border" ID="EntityTable">
 
                      <tr> 
                        <td width="71" height="22" class="grey"><i18n:message bundleRef="bundleReport" key="select_user.type" /></td>
                        <td width="164" height="22" class="grey"><i18n:message bundleRef="bundleReport" key="select_user.identification" /></td>
                        <td width="26" height="22" class="grey-end">&nbsp;</td>
                      </tr>
	<%
	//get ReportByCollection object from session
	Object val = null;
	if(whichreport == ReportByCollection.REALTIME)
		val = (ReportByCollection)IWSSSession.getSession("user_realtime_reportby",request);
	else
		val = (ReportByCollection)IWSSSession.getSession("user_tmpl_reportby",request);
	
	if(val != null)
	{
		ReportByCollection rep = (ReportByCollection)val;

		Iterator itr = rep.iterator();
		ReportByItem item;

		while( itr.hasNext() )
		{
			item = (ReportByItem)itr.next();
	        	i++;
			%>
	                      <tr>                     
	                        <td height="22" class="data<%=((i+1)%2+1)%>b"><input name="entitytype" type="hidden" value="<%=item.getType()%>"><%=ACCNAME[item.getType()-1]%></td>
	                        <td height="22" class="data<%=((i+1)%2+1)%>b"><input name="entityname" type="hidden" value="<%=item.getName()%>"><%=item.getName()%></td>
	                        <td height="22" class="data<%=((i+1)%2+1)%>">
	                            <div align="center"><a href="javascript:void(0);" onClick="javascript:deleteone(<%=i%>);" border="0"><img src="images/icon_delete.gif" width="18" height="18" border=0></a></div></td>
	                      </tr>
			<%
		}
	}%>


                      <tr> 
                        <td height="22" class="data<%=((i)%2+1)%>b">&nbsp;</td>
                        <td height="22" class="data<%=((i)%2+1)%>b">&nbsp;</td>
                        <td height="22" class="data<%=((i)%2+1)%>">&nbsp;</td>
                      </tr>
                      <tr> 
                        <td height="22" class="data<%=((i+1)%2+1)%>b">&nbsp;</td>
                        <td height="22" class="data<%=((i+1)%2+1)%>b">&nbsp;</td>
                        <td height="22" class="data<%=((i+1)%2+1)%>">&nbsp;</td>
                      </tr>
                     
                    </table></td>
                </tr>
              </table>
    </td>
  </tr>
  <tr>
    <td height="35" style="padding:5px">
<div align="center">
        <input name="save" type="button"  class="button" onClick="javascript:doSubmit();" value="<i18n:message bundleRef='bundleCommon' key='button.save' />" style="width:55px" disabled> 
      <input name="cancel" type="button"  class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width:55px" onClick="javascript:window.close();">
      </div></td>
  </tr>
</table>
</body>
</html>
