<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 05/15/2007                                        -->
<!--Modified by: Sesong Wan                                 -->
<!--Date: 12/27/2009                                        -->
<!--Description:                                            -->
<!--Change Copyright 1995-2007                              -->
<!--File:logon.jsp                                          -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8"%>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ include file="productname.txt" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<html>
<head>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" CONTENT="no-cache">
<title><i18n:message bundleRef="bundleCommon" key="index_title" /></title>
<link href="html/login.css" rel="stylesheet" type="text/css">
<SCRIPT LANGUAGE="JavaScript">
if(self.name=="tophead" || self.name=="left" || self.name=="right"){
        if(self.location!=null) self.parent.location.replace(self.location);
        else self.parent.location.replace("logon.jsp");
}
if(self.name=="searchacc"){
        var redirecturl = "logon.jsp";
        if(self.location!=null) redirecturl = self.location;

        if(typeof(self.parent.parent)=='object'){
            self.parent.parent.location.replace(redirecturl);
        }else{
            self.parent.location.replace(redirecturl);
        }
}
function init()
{
    if(document.logonform.wronglogon.value=="yes")
    {
      document.logonform.action = "logon.jsp";
      setTimeout( "document.logonform.submit()", 100 );
    }
    //document.logonform.passwd.focus();
    document.logonform.uid.focus();
}
</SCRIPT>
</head>
<%
	//initial language resource
	String resFolder = pageContext.getServletContext().getRealPath("/WEB-INF/classes/");
	String strLocaleKey = IWSSInfo.GetKeyValue("Common", "lang");
	MessageResourcesMgr.initMessageResource(resFolder, strLocaleKey);

	if(Validation.CheckUser(request,response)==1){
        response.sendRedirect("index.jsp");
        return;
   }

   response.setHeader("P3P","CP=\"NON IND\"");
   response.setHeader("X-Frame-Options","SAMEORIGIN");

   String wherefrom = "";
   String wronglogon_1 = "no";

   if(request.getQueryString()!=null && request.getQueryString().compareToIgnoreCase("wrong")==0)
        wronglogon_1 = "yes";
   else if(request.getQueryString()!=null) wherefrom = request.getQueryString();

   boolean wronglogon = false;

   if(request.getParameter("wronglogon")!=null && request.getParameter("wronglogon").compareToIgnoreCase("yes")==0)
        wronglogon = true;
%>

<body onLoad="javascript:init();" >
<form method=post action=uilogonsubmit.jsp name=logonform>
<table width="100%" height="80%"  border="0" >
<tr>
    <td valign="middle"  align="center" height="600" >
    <input type=hidden name=wherefrom value="<%=XSSStringClean.cleanXSS(wherefrom)%>">
    <input type=hidden name="wronglogon" value="<%=wronglogon_1%>">
 	 <table cellpadding="3">

		<tr>
          <td class="copyright" align="center"><img src="images/login_logo.gif" title="<i18n:message bundleRef="bundleAdmin" key="logon.logo" />" width="525" height="49"></td>
        </tr>

     </table>
     <table class="login"  align="center"  width="525" border="0" cellpadding="0" height="150" cellspacing="0px"  >


		<tr>
          <th background="images/login_titlebar_left.gif"  width="20"></th>
          <th background="images/login_titlebar_back.gif" nowrap="nowrap" valign="middle" width="480">
          <i18n:message bundleRef="bundleAdmin" key="logon.login" /></th>
          <th background="images/login_titlebar_right.gif" width="20"></th>
        </tr>

       <!-- username password form -->
         <tr>
          <td colspan="3" class="content" align="left" valign="middle" >
          <table border="0" cellpadding="2" cellspacing="5">

           <tr>
           <td colspan="3">
             <!-------------------------Error message --------------------------------->
		          <%if(wronglogon){%>
		          <div class="login_error" align="left" >
		          <img src="images/icon_warning_cui.gif" vspace="3" width="28" align="absmiddle" height="25">
		          <i18n:message bundleRef="bundleAdmin" key="logon.unable_logon" />
		          </div>
		          <%}else{%>
		           <div align="left">
		           <i18n:message bundleRef="bundleAdmin" key="logon.note" />
		  		   </div>
		  		  <%}%>
            <!--------------------------------------------------------------------------->
          </td>
          </tr>
          <!-------------------------Username ------------------------------------------>
           <tr>
               <td width="20%" align="left"><i18n:message bundleRef="bundleAdmin" key="logon.userid" /></td>
                <td width="40%"><input name=uid type=text class="button" size="24" maxlength="32"></td>
                <td>&nbsp;</td>
           </tr>
           <!-------------------------------------------- ------------------------------>
           <!-------------------------password & Submit --------------------------------->
            <tr>
               <td width="20%" align="left"><i18n:message bundleRef="bundleAdmin" key="logon.password" />
               </td>
               <td width="40%"> <input name=passwd type=password class="button" size="24" maxlength="32">
               </td>
               <td>
               <input name="pwd" type="submit"  class="button" value="<i18n:message bundleRef='bundleAdmin' key='logon.button_logon' />"></td>
           </tr>
           <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>

            </table>
           	</td>
     		</tr>
           <!-------------------------------------------- ------------------------------>
          <tr>
          <td class="lastrow_left"><img src="images/login_bottom_left.gif" width="20" height="4"></td>
          <td class="lastrow" width="99%" background="images/login_bottom_back.gif"></td>
          <td class="lastrow_right" align="right"><img src="images/login_bottom_right.gif" width="20" height="4"></td>
          </tr>

         </table>
         <table align="center" border="0" cellpadding="0" cellspacing="0">

           <tr>
            <td class="copyright" align="center" height="30"></td>
           </tr>
           <tr>
           <td class="copyright" align="center">©
            <i18n:message bundleRef="bundleAdmin" key="logon.copyright" />
            </td>
           </tr>

	     </table>
	 </td>
  </tr>
</table>
</form>
</body>
</html>
